#	From: @(#)Makefile	5.20 (Berkeley) 6/12/93
# $FreeBSD: src/usr.sbin/Makefile,v 1.183.2.14 2003/04/16 11:01:51 ru Exp $
# $DragonFly: src/usr.sbin/Makefile,v 1.45 2008/03/23 19:46:49 swildner Exp $

.include "../sys/platform/${MACHINE_PLATFORM}/Makefile.inc"

# XXX MISSING:		mkproto
SUBDIR= 802_11 \
	IPXrouted \
	ac \
	accton \
	acpi \
	adduser \
	amd \
	ancontrol \
	arp \
	asf \
	atm \
	authpf \
	bootparamd \
	btconfig \
	bthcid \
	burncd \
	cdcontrol \
	chkgrp \
	chown \
	chroot \
	ckdist \
	clog \
	config \
	cron \
	crunch \
	daemon \
	dconschat \
	dev_mkdb \
	dntpd \
	edquota \
	faithd \
	fdcontrol \
	fdformat \
	fdwrite \
	fwcontrol \
	gifconfig \
	ifmcstat \
	inetd \
	iostat \
	iwicontrol \
	jail \
	jexec \
	jls \
	kbdcontrol \
	kbdmap \
	kernbb \
	keyserv \
	lastlogin \
	mailwrapper \
	makewhatis \
	manctl \
	memcontrol \
	mergemaster \
	mixer \
	mld6query \
	mlxcontrol \
	moused \
	mrouted \
	mtest \
	mtree \
	ndiscvt \
	ndp \
	newsyslog \
	ngctl \
	nghook \
	pciconf \
	periodic \
	pfctl \
	pflogd \
	pnpinfo \
	portmap \
	ppp \
	pppctl \
	pppd \
	pppstats \
	prefix \
	procctl \
	pstat \
	pw \
	pwd_mkdb \
	quot \
	quotaon \
	rarpd \
	rdate \
	repquota \
	resident \
	rip6query \
	rmt \
	route6d \
	rpc.lockd \
	rpc.statd \
	rpc.umntall \
	rpc.yppasswdd \
	rpc.ypupdated \
	rpc.ypxfrd \
	rrenumd \
	rtadvd \
	rtprio \
	rtsold \
	rwhod \
	sa \
	sdpd \
	sensorsd \
	setkey \
	sliplogin \
	slstat \
	spray \
	syslogd \
	tcpdchk \
	tcpdmatch \
	tcpdump \
	timed \
	traceroute \
	traceroute6 \
	trpt \
	tzsetup \
	usbd \
	usbdevs \
	vidcontrol \
	vipw \
	vnconfig \
	watch \
	xten \
	yp_mkdb \
	ypbind \
	yppoll \
	yppush \
	ypserv \
	ypset \
	zic

.if !defined(NO_IPFILTER)
SUBDIR+=ipftest \
	ipresend \
	ipsend \
	iptest
.endif

.if !defined(NO_BIND)
SUBDIR+=named \
	named.reload \
	named.restart \
	named-checkconf \
	named-checkzone \
	rndc \
	rndc-confgen \
	nslookup \
	nsupdate
.endif

.if !defined(NO_DHCPD)
SUBDIR+=dhcp
.endif

.if !defined(NO_LPR)
SUBDIR+=lpr
.endif

.if !defined(NO_SENDMAIL)
SUBDIR+=editmap \
	mailstats \
	makemap \
	praliases \
	sendmail
.endif

.if ${MACHINE_ARCH} == "i386"
SUBDIR+=apm \
	apmd \
	battd \
	btxld \
	kgmon \
	kgzip \
	lptcontrol \
	mptable \
	rndcontrol \
	sgsc \
	sicontrol \
	spkrtest \
	stallion \
	wlconfig
.if !defined(NO_I4B)
SUBDIR+=i4b
.endif
.endif

.ifdef BOOT0CFG_SUPPORT
SUBDIR+=boot0cfg
.endif

.include <bsd.subdir.mk>
